@charset "UTF-8";


.column-header h2 {
    text-align: center;
}

.container h2 {
    margin-bottom: 30px;
    letter-spacing: 3px;
    font-weight: 400;
    text-align: center;
}

.column-header {
    background-color: #f5f5f5;
    padding-bottom: 70px;
}

.card-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1rem;
    margin: 0;
    padding: 0;
    list-style: none;
}

.card-list li a.active {
    background: #1ebe8c;
    border-color: #1ebe8c;
    color: white;
}

.card-list li a {
    border: 2px solid white;
    color: black;
    display: block;
    font-weight: 500;
    overflow: hidden;
    padding: 1.5rem;
    position: relative;
    text-align: center;
    text-decoration: none;
    border-radius: 20px;
    background-color: white;
    font-size: 2rem;
    letter-spacing: 2px;
}


#column-footer {
    background-color: #f5f5f5;
    padding-top: 50px;
}

.column-title {
    position: relative;
    /* 重なり順を制御するために必要 */
    width: 80%;
    /* コンテンツの幅 */
    max-width: 1000px;
    /* 最大幅 */
    margin: -100px auto 0;
    /* 【重要】上側にマイナスマージンで引き上げる */
    background: #fff;
    /* 背景色 */
    padding: 40px 0;
    /* 内側の余白 */
    z-index: 10;
    /* 画像より前面に配置 */
    text-align: center;
    /* 中央揃え */
}

.pick-card {
    text-decoration: none;
    color: #333;
    height: 100%;
    transition: transform 0.3s, box-shadow 0.3s;
}

.pickup-card-img {
    width: 100%;
    aspect-ratio: 3 / 2;
    /* 画像の比率を16:9に固定 */
    overflow: hidden;
}

.pickup-card-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s;
}

.pick-card:hover .pickup-card-img img {
    transform: scale(1.05);
}

.pickup-card-text .post-tags {
    align-items: flex-start;
    justify-content: flex-start;
}

.column-index {
    background-color: #fffcec;
    padding: 20px 35px 35px 35px;
    font-size: 2rem;
    font-weight: 600;
}

.column-index h2 {
    text-align: center;
    font-weight: 400;
}

.column-index a {
    color: #1ebe8c;
}

.column-index a:hover {
    text-decoration: underline;

}

.column-tag {
    color: white;
    text-align: center;
    padding: 2px 5px;
    display: inline;
    background-color: #231815;
    font-size: 1.2rem;
    margin: 0;
}

.column-img {
    width: auto;
}

.date-column {
    font-size: 1.3rem;
}

.column-subtitle {
    background-color: #1ebe8c;
    color: white;
    text-align: center;
    padding: 15px 25px;
}

.column-link {
    background-color: #fffcec;
    height: auto;

}

.column-link a,
.column-link p {
    color: #1ebe8c;
    font-size: 2rem;
    font-weight: 600;
}

.column-link img {
    width: 20%;
    height: auto;
    object-fit: cover;
}

.share {
    display: flex;
    margin: 0 auto;
    max-width: 200px;
    flex-direction: column;

    justify-content: center;
}

.share-btn {
    gap: 15px;
    max-width: 100px;
    margin: 0 auto;
}

.share p {
    text-align: center;
    font-weight: 600;
}

.share img {
    width: 40px;
}

.column-author {
    background-color: #f5f5f5;
    padding: 40px;
    height: 300px;
}

.column-author h2 {
    position: relative;
    display: flex;
    align-items: center;
    color: #999999;
}

.column-author h3 {
    color: black;
}


.column-author h2::before {
    content: "";
    /* 必須：疑似要素を生成 */
    display: inline-block;
    width: 30px;
    /* アイコンの幅 */
    height: 30px;
    /* アイコンの高さ */
    margin-right: 10px;
    /* アイコンと文字の間の余白 */

    /* アイコン画像の設定 */
    background-image: url("/img/column/wrighting_icon.png");
    background-size: contain;
    /* 枠内に収める */
    background-repeat: no-repeat;
    background-position: center;
}

.column-author img {
    width: 30%;
}

.card-list li a:hover {
    background-color: #1ebe8c;
    color: white;
}


@media screen and (max-width: 1024px) {
    .card-list li a {
        font-size: 1.3rem;
    }
}

@media screen and (max-width: 625px) {
    .card-list {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .card-list li a {
        letter-spacing: 1px;
        font-size: 1.4rem;
        padding: 1.3rem;
    }

    .column-header {
        padding-bottom: 50px;
    }

    .grid-col-3 {
        grid-template-columns: 1fr;
    }

    .column-title {
        width: 85%;
    }

    .column-img {
        height: 200px;
    }

    .column-link img {
        width: 40%;

    }

    .column-link p {
        text-align: left;
        font-size: 1.8rem;
        line-height: 1.5;
        letter-spacing: 0.1px;
    }


    .column-author {
        height: auto;
        flex-direction: column;
    }

    .column-text h3 {
        font-size: 1.6rem
    }

    .column-author img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .column-title h2 {
        padding: 20px;
    }

    .column-date {
        text-align: center;
    }

    .column-index {
        font-size: 1.6rem;
    }

    .column-text .left{
        font-size: 1.4rem;
    }
}